/**
 * 
 */
package office.api.base;

import java.util.ArrayList;
import java.util.List;

import office.api.common.APIType;

import org.apache.axiom.om.OMAbstractFactory;
import org.apache.axiom.om.OMElement;
import org.apache.axiom.om.OMFactory;

import office.api.common.Action;

/**
 * ユーザーログイン名からユーザー内部IDを取得します。
 * 
 * @author $api_author Office Team@Cybozu$
 * @version $api_version ver 1.0.0$
 */
public class BaseGetUsersById implements Action {
	
	private List<String> userIDs = new ArrayList<String>();
	
	@Override
	public String getActionName() {
		return "BaseGetUsersById";
	}

	@Override
	public APIType getAPIType() {
		return APIType.BASE;
	}
	
	/**
	 * ユーザーIDを追加します。
	 * 
	 * @param userID ユーザーID
	 */
	public void addUserID(String userid)
	{
		this.userIDs.add( userid );
	}

	
	/**
	 * parametersタグを生成します。
	 * 
	 * @return OMElement 生成されたparametersタグ
	 */
	@Override
	public OMElement getParameters() {
        OMFactory omFactory = OMAbstractFactory.getOMFactory();
        OMElement parameters = omFactory.createOMElement("parameters", null);
        
        for (String id : this.userIDs) {
            OMElement facility = omFactory.createOMElement("user_id", null);
            facility.setText(id);
            parameters.addChild(facility);
        }
        
        return parameters;
	}
}
