/**
 * 
 */
package office.api.base;

import java.util.ArrayList;
import java.util.List;

import office.api.common.APIType;

import org.apache.axiom.om.OMAbstractFactory;
import org.apache.axiom.om.OMElement;
import org.apache.axiom.om.OMFactory;

import office.api.common.Action;

/**
 * ユーザーログイン名からユーザー内部IDを取得します。
 * 
 * @author $api_author Office Team@Cybozu$
 * @version $api_version ver 1.0.0$
 */
public class BaseGetUsersByLoginName implements Action {
	
	private List<String> loginNames = new ArrayList<String>();
	
	@Override
	public String getActionName() {
		return "BaseGetUsersByLoginName";
	}

	@Override
	public APIType getAPIType() {
		return APIType.BASE;
	}
	
	/**
	 * ログイン名を追加します。
	 * 
	 * @param loginName ログイン名
	 */
	public void addLoginName(String loginName)
	{
		this.loginNames.add( loginName );
	}

	
	/**
	 * parametersタグを生成します。
	 * 
	 * @return OMElement 生成されたparametersタグ
	 */
	@Override
	public OMElement getParameters() {
        OMFactory omFactory = OMAbstractFactory.getOMFactory();
        OMElement parameters = omFactory.createOMElement("parameters", null);
        
        for (String name : this.loginNames) {
            OMElement facility = omFactory.createOMElement("login_name", null);
            facility.setText(name);
            parameters.addChild(facility);
        }
        
        return parameters;
	}
}
