/**
 * 
 */
package office.api.common;

/**
 * APIのタイプを表す enum です。
 * 
 * @author $api_author Office Team@Cybozu$
 * @version $api_version ver 1.0.0$
 */
public enum APIType {
    /** ベース **/
    BASE,
    /** スケジュール **/
    SCHEDULE;
    
    /**
     * 各 API はタイプによって URL が異なるため、
     * API に接続するクライアントはこのメソッドで必要なパスを取得します。
     * 
     * @return java.lang.String API送受信を行うパス
     */
    public String getPath()
    {
    	String path = "";
    	
        switch(this)
        {
        case BASE:
            path = "Base";
            break;
        case SCHEDULE:
            path = "Schedule";
            break;
        }          	
    	return "?page=PApi" + path;
    }
}
